/**************************************************
*  Program Name:  conveyor-inputpos.ch 
*
*  Description:
*    This program continously asks the user to
*    input a deisred conveyor movement in mm and 
*    moves the conveyor.
*           
*  Author: Stephen S. Nestinger    March 28 2007
***************************************************/
#include "robot.h"
#include <stdio.h>
#include <ctype.h>

int main(void) 
{
   int status;		
   array double conveyorDisp[1];

   class CRobot conveyor = CRobot(CONVEYOR1, RUN_REALTIME);
   char buf[40];
   double disp = 0;

   // Calibrate and home the Conveyer
   conveyor.Calibrate();

   while(!stop)
   {
     printf("Input desired distance to move conveyor or 'quit' to exit: ");
     fgets(buf, 30, stdin);
     if(tolower(buf[0]) == 'q') break;
     disp = atof(buf);

     // Move the Conveyer 
     conveyorDisp[0] =  disp;
     conveyor.Drive(conveyorDisp);
     conveyor.MoveWait();
     printf("Moved %.2fmm\n", disp);
   }

   // Disable the Conveyer 
   conveyor.Disable();
   printf("Program Complete.\n\n");
}
