/**************************************************
*  Program Name:  conveyor.ch 
*
*  Description:
*       This program demostrates the coordinate motion
*  of the conveyor -- a Flex-Link manipulator.
*           
*  Author: Stephen S. Nestinger   March 28 2007  
***************************************************/
#include "robot.h"
#include <stdio.h>

int main(void) 
{
   int status;		
   array double conveyorDisp[1];

   class CRobot conveyor = CRobot(CONVEYOR1, RUN_SIMULATION);

   // Calibrate and home the Conveyer
   conveyor.Calibrate();

   // Move the Conveyer 
   conveyorDisp[0] =  200;
   conveyor.Drive(conveyorDisp);
   conveyor.MoveWait();
   printf("moved 200mm\n");

   conveyorDisp[0] = 250;
   conveyor.Drive(conveyorDisp);
   conveyor.MoveWait();
   printf("moved 250mm\n");

   conveyorDisp[0] = 350;
   conveyor.Drive(conveyorDisp);
   conveyor.MoveWait();
   printf("moved 350mm\n");

   // Disable the Conveyer 
   conveyor.Disable();
   printf("Program Complete.\n\n");
}
