/**************************************************
*  Program Name: ibm7575-inputang.ch
*
*  Description:
*    This program demonstrates the control of the
*    IBM 7575 using direct kinematics.
*           
*  Author: Stephen Nestinger   March 28 2007
***************************************************/
#include <stdio.h>
#include <ctype.h>
#include "robot.h"

int main(void) 
{
   array double ja[4]={120,143,-75,0};
   int status, robot2_conf = FLIP;

   char buf[100];

   class CRobot ibm = CRobot(ROBOT2, RUN_SIMULATION);

   // Calibrate and home PUMA 560 robot 
   status = ibm.Calibrate();

   // Move PUMA robot to zero position
   ibm.MoveReady();
   ibm.MoveWait();

   while(1)
   {
     printf("Current Angles: %.2f", ja);

     printf("Enter new angles or 'quit' to exit\n:"); 
     fgets(buf, 99, stdin);

     if(tolower(buf[0])=='q') break;

     sscanf(buf, "%lf %lf %lf %lf", &ja[0], &ja[1], &ja[2], &ja[3]);

     ibm.Drive(ja);
     ibm.MoveWait();
   }

   ibm.MoveReady();
   ibm.MoveWait();
   ibm.GripperClose();

   // Disable
   ibm.Disable();

   printf("Program Complete.\n");
}

