/**************************************************
*  Program Name:  puma560-inputang.ch 
*
*  Description:
*       This program demostrates the direct 
*       kinematics controll of the PUMA 560.
*           
*  Author: Stephen Nestinger   March 28 2007
***************************************************/
#include <stdio.h>
#include <ctype.h>
#include "robot.h"

int main(void) 
{
   array double ja[6]={0,-90,90,0,0,0};
   int status, robot1_conf = FLIP|ABOVE|RIGHT;

   char buf[100];

   class CRobot puma560 = CRobot(ROBOT1, RUN_SIMULATION);

   // Calibrate and home PUMA 560 robot 
   status = puma560.Calibrate();

   // Move PUMA robot to zero position
   puma560.MoveReady();
   puma560.MoveWait();

   while(1)
   {
     printf("Current Angles: %.2f", ja);

     printf("Enter new angles or type quit\n:"); 
     fgets(buf, 99, stdin);

     if(tolower(buf[0])=='q') break;

     sscanf(buf, "%lf %lf %lf %lf %lf %lf", 
             &ja[0], &ja[1], &ja[2], &ja[3], &ja[4], &ja[5]);

     puma560.Drive(ja);
     puma560.MoveWait();
   }

   puma560.MoveReady();
   puma560.MoveWait();
   puma560.GripperClose();

   // Disable
   puma560.Disable();

   printf("Program Complete.\n");
}

