/**************************************************
*  Program Name:  puma560.ch 
*
*  Description:
*       This program demostrates the coordinate motion
*  of the PUMA 560
*           
*  Author: Stephen Nestinger   March 28 2007
***************************************************/
#include "robot.h"

int main(void) 
{
   array double jold[6] = {0,0,0,0,0,0},
                jnew[6],
                trans_matrix[4][4];
   int status,
       j,
       robot1_conf = FLIP|ABOVE|LEFT;

   class CRobot puma560 = CRobot(ROBOT1, RUN_SIMULATION);

   // Calibrate and home PUMA 560 robot 
   status = puma560.Calibrate();

   // Move PUMA robot to zero position
   puma560.MoveReady();
   puma560.MoveWait();

   // Open PUMA robot gripper
   puma560.GripperOpen();
   
   for(j=0;j<2;j++)
   {
     trans_matrix=robot1ZeroPosition;
     trans_matrix[0][3]=-419.0;
     trans_matrix[1][3]=-384.0;
     trans_matrix[2][3]= 200.0;
     puma560.InverseKinematics(trans_matrix,jold,jnew,robot1_conf);
     puma560.Drive(jnew);
     puma560.MoveWait();
     puma560.GripperOpen();

     trans_matrix=robot1ZeroPosition;
     trans_matrix[0][3]=-419.0;
     trans_matrix[1][3]=-384.0;
     trans_matrix[2][3]=-100.0;
     puma560.InverseKinematics(trans_matrix,jold,jnew,robot1_conf);
     puma560.Drive(jnew);
     puma560.MoveWait();
     puma560.GripperClose();


     trans_matrix=robot1ZeroPosition;
     trans_matrix[0][3]= -419.0;
     trans_matrix[1][3]= -384.0;
     trans_matrix[2][3]=  300.0;
     puma560.InverseKinematics(trans_matrix,jold,jnew,robot1_conf);
     puma560.Drive(jnew);
     puma560.MoveWait();

     trans_matrix=robot1ZeroPosition;
     trans_matrix[0][3]= 500.0;
     trans_matrix[1][3]=   0.0;
     trans_matrix[2][3]= 400.0;
     puma560.InverseKinematics(trans_matrix,jold,jnew,robot1_conf);
     puma560.Drive(jnew);
     puma560.MoveWait();
     puma560.GripperOpen();

   }

   puma560.MoveReady();
   puma560.MoveWait();
   puma560.GripperClose();

   // Disable
   puma560.Disable();

   printf("Program Complete.\n");
}

